Bug 121862 - Update port: graphics/pfstools - 1.6.4 release, fixup syntax error and typo in Makefile, fixup build with octave 3
Update port: graphics/pfstools - 1.6.4 release, fixup syntax error and typo i...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
Depends on:
  Show dependency treegraph
Reported: 2008-03-19 13:20 UTC by ii
Modified: 2008-04-04 13:40 UTC (History)
1 user (show)

See Also:

pfstools.diff (8.94 KB, patch)
2008-03-19 13:20 UTC, ii
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ii 2008-03-19 13:20:01 UTC
1.6.3 Changes:
    * fixed: pfsinopenexr can now read files that has data window < display
    * fixed: pfs library can handle channel names up to 32 characters (was 8)
    * updated: pfs specification - max string lengths and format of custom
        channel names
    * security fix: fscanf in rgbeio.cpp (thanks to Stefan and Ludwig)
    * bugfix: pfsview - segfault when switching channels
    * fixed: pfsview - color readout in the status line refreshed when
        new channel or frame loaded
    * added: matlab/pfs_write_luminance.m
    * bugfix: rgbeio - header read properly when the first byte is 0x20
        (thanks to Axel)
    * bugfix: rgbeio - fix misinterpreted rle-compresses lines (thanks
        to Axel)
1.6.4 Changes:
    * fixed: buffer overflow vulnerability in rgbeio.cpp (thanks to Stefan)
    * fixed: compilation issues with gcc-4.3 - missing includes (thanks 
        to Sebastian Harl for the Debian patch)
Port changes:
    * fix OPTIONS syntax error in Makefile
    * add an extra patch from Debian GNU/Linux octave-pfstools package
        to fix build errors with octave 3.0.0 (original here:
    * use real octave base in the pkg-plist.

I want to take maintainership.
Comment 1 Edwin Groothuis freebsd_committer 2008-03-19 13:20:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-03-19 13:38:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Rong-En Fan freebsd_committer 2008-04-03 12:03:34 UTC
Responsible Changed
From-To: miwi->rafan

I will take care of this PR for miwi.
Comment 4 Rong-En Fan freebsd_committer 2008-04-04 13:30:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2008-04-04 13:30:39 UTC
rafan       2008-04-04 12:30:23 UTC

  FreeBSD ports repository

  Modified files:
    graphics/pfstools    Makefile distinfo pkg-plist 
  Added files:
    graphics/pfstools/files epatch-src-octave-pfsopen.cpp 
  Removed files:
    graphics/pfstools/files patch-pkgconfig-install.diff 
  - Update to 1.6.4
  - Use macro from bsd.sites.mk
  - Make configure finds correct bash instead of patching ourselves
  - Fix OPTIONS syntax error
  - Add extra patch for octave 3.0
  - Use octave base in pkg-plist
  PR:             ports/121862
  Submitted by:   Iouri V. Ivliev <ii at any.com.ru>
  Approved by:    maintainer timeout (2 weeks)
  Revision  Changes    Path
  1.9       +24 -24    ports/graphics/pfstools/Makefile
  1.2       +3 -3      ports/graphics/pfstools/distinfo
  1.1       +23 -0     ports/graphics/pfstools/files/epatch-src-octave-pfsopen.cpp (new)
  1.2       +0 -11     ports/graphics/pfstools/files/patch-pkgconfig-install.diff (dead)
  1.1       +11 -0     ports/graphics/pfstools/files/patch-src-pfs-Makefile.in (new)
  1.4       +29 -22    ports/graphics/pfstools/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"